﻿using System;
using System.Collections.ObjectModel;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;

namespace TwoPropertiesFilteringBehavior
{
	public class ViewModel : ViewModelBase
	{
		private ObservableCollection<Person> _People;

		public ViewModel()
		{
			this.People = new ObservableCollection<Person>();
			this.People.Add(new Person() { FirstName = "Ryan", LastName = "Giggs" });
			this.People.Add(new Person() { FirstName = "Paul", LastName = "Scholes" });
			this.People.Add(new Person() { FirstName = "Michael", LastName = "Carrick" });
			this.People.Add(new Person() { FirstName = "Shinji", LastName = "Kagawa" });
			this.People.Add(new Person() { FirstName = "Ashley", LastName = "Young" });
			this.People.Add(new Person() { FirstName = "Antonio", LastName = "Valencia" });
			this.People.Add(new Person() { FirstName = "Wayne", LastName = "Rooney" });
			this.People.Add(new Person() { FirstName = "Robin", LastName = "van Persie" });
			this.People.Add(new Person() { FirstName = "Rio", LastName = "Ferdinand" });
			this.People.Add(new Person() { FirstName = "Nemanja", LastName = "Vidic" });
			this.People.Add(new Person() { FirstName = "Johny", LastName = "Evans" });
			this.People.Add(new Person() { FirstName = "Phil", LastName = "Jones" });
			this.People.Add(new Person() { FirstName = "Rafael", LastName = "Da Silva" });
			this.People.Add(new Person() { FirstName = "Patrice", LastName = "Evra" });
			this.People.Add(new Person() { FirstName = "David", LastName = "De Gea" });
		}

		public ObservableCollection<Person> People
		{
			get { return this._People; }
			set
			{
				if (this._People != value)
				{
					this._People = value;
					this.OnPropertyChanged(() => this.People);
				}
			}
		}
	}
}
